Bug 995641 - SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'append' accesses on the unix_stream_socket unix_stream_socket.
SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'append' acces...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:558bb54b856be647bcdecff9c65...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 20:54 EDT by Barry Smith
Modified: 2013-08-21 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry Smith 2013-08-09 20:54:07 EDT
Description of problem:
It happened when I tried to open Shotwell and it loaded pictures from my "Pictures" directory (in my home directory). I don't know how serious a problem this is.
SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'append' accesses on the unix_stream_socket unix_stream_socket.

*****  Plugin leaks (86.2 confidence) suggests  ******************************

If you want to ignore shotwell-video-thumbnailer trying to append access the unix_stream_socket unix_stream_socket, because you believe it should not need this access.
Then you should report this as a bug.  
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/bin/shotwell-video-thumbnailer /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (14.7 confidence) suggests  ***************************

If you believe that shotwell-video-thumbnailer should be allowed append access on the unix_stream_socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep shotwell-video- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        shotwell-video-
Source Path                   /usr/bin/shotwell-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           shotwell-0.14.1-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   4
First Seen                    2013-08-08 23:39:24 EDT
Last Seen                     2013-08-08 23:39:25 EDT
Local ID                      a1678a7e-0893-47d3-84ba-713ec6d6e711

Raw Audit Messages
type=AVC msg=audit(1376019565.976:837): avc:  denied  { append } for  pid=12628 comm="shotwell-video-" path="socket:[24900]" dev="sockfs" ino=24900 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket


type=SYSCALL msg=audit(1376019565.976:837): arch=x86_64 syscall=execve success=yes exit=0 a0=7f3c84013ad0 a1=7f3c8401aa30 a2=7fffb5d570f8 a3=25 items=0 ppid=12580 pid=12628 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=shotwell-video- exe=/usr/bin/shotwell-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: shotwell-video-,thumb_t,unconfined_t,unix_stream_socket,append

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 1 Fedora Update System 2013-08-20 04:27:22 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 2 Fedora Update System 2013-08-20 20:16:20 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-08-21 20:54:17 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.